Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2836593002: Check the existence of provider_host in ServiceWorkerURLTrackingRequestHandler::MaybeCreateJob() (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months ago by horo
Modified:
3 months, 4 weeks ago
Reviewers:
nhiroki
CC:
chromium-reviews, michaeln, jsbell+serviceworker_chromium.org, shimazu+serviceworker_chromium.org, serviceworker-reviews, jam, nhiroki, kinuko+serviceworker, horo+watch_chromium.org, darin-cc_chromium.org, kinuko+watch, tzik, blink-worker-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Check the existence of provider_host in ServiceWorkerURLTrackingRequestHandler::MaybeCreateJob() The provider host may have been deleted when the request is resumed. BUG=714065 Review-Url: https://codereview.chromium.org/2836593002 Cr-Commit-Position: refs/heads/master@{#466884} Committed: https://chromium.googlesource.com/chromium/src/+/63beb1489dd2cacf6675b2a24d9b254a669fdc70

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -0 lines) Patch
M content/browser/service_worker/service_worker_provider_host.cc View 1 chunk +3 lines, -0 lines 0 comments Download
Trybot results:  win_clang   win_chromium_x64_rel_ng   mac_chromium_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   ios-device   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   linux_chromium_chromeos_rel_ng   cast_shell_android   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   chromeos_daisy_chromium_compile_only_ng   android_cronet   android_compile_dbg   android_n5x_swarming_rel   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   cast_shell_android   linux_android_rel_ng   android_n5x_swarming_rel   android_compile_dbg   android_cronet   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 15 (9 generated)
horo
nhiroki@ Please review this.
4 months ago (2017-04-21 09:36:25 UTC) #4
nhiroki
Change itself looks good. Can you explain an example case where this may happen and ...
3 months, 4 weeks ago (2017-04-25 02:00:46 UTC) #7
nhiroki
lgtm
3 months, 4 weeks ago (2017-04-25 02:01:46 UTC) #8
horo
On 2017/04/25 02:00:46, nhiroki wrote: > Change itself looks good. > > Can you explain ...
3 months, 4 weeks ago (2017-04-25 02:07:52 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2836593002/1
3 months, 4 weeks ago (2017-04-25 02:08:24 UTC) #12
commit-bot: I haz the power
3 months, 4 weeks ago (2017-04-25 05:24:04 UTC) #15
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/63beb1489dd2cacf6675b2a24d9b...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b